import type { ExpandMenuProps } from './expand-menu';
declare const __VLS_export: import("vue").DefineComponent<ExpandMenuProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    expandChangeEvent: (value: boolean) => any;
}, string, import("vue").PublicProps, Readonly<ExpandMenuProps> & Readonly<{
    onExpandChangeEvent?: ((value: boolean) => any) | undefined;
}>, {
    top: string;
    customStyle: object;
    autoHide: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: typeof __VLS_export;
export default _default;
